import { Constructable, FASTElement, PartialFASTElementDefinition } from '@microsoft/fast-element';
export type DefineFunction<TType> = (definition: PartialFASTElementDefinition) => TType;
export type DefinitionOverrider = (override: PartialFASTElementDefinition) => PartialFASTElementDefinition;
export declare const defineFactory: <TType extends Constructable<FASTElement>>(Type: TType, overriderOrBase: DefinitionOverrider | PartialFASTElementDefinition) => DefineFunction<TType>;
//# sourceMappingURL=define.d.ts.map